import request from '@/utils/request'
const url = '/data-api'

export function systemlogList(query = {}) {
  return request({
    url: url + '/systemlog/list',
    method: 'get',
    params: query
  })
}
export function roleGetauthList(query = {}) {
  return request({
    url: url + '/role/getauth',
    method: 'get',
    params: query
  })
}
export function apimngrListapisList(query = {}) {
  return request({
    url: url + '/apimngr/listapis',
    method: 'get',
    params: query
  })
}
export function roleSetauthList(query = {}) {
  return request({
    url: url + '/role/setauth',
    method: 'post',
    data: query
  })
}
export function roleDelete(query = {}) {
  return request({
    url: url + '/role/delete',
    method: 'post',
    data: query
  })
}
export function roleUpdate(query = {}) {
  return request({
    url: url + '/role/update',
    method: 'post',
    data: query
  })
}
export function roleCreate(query = {}) {
  return request({
    url: url + '/role/create',
    method: 'post',
    data: query
  })
}
export function getreportbyapiList(query = {}) {
  return request({
    url: url + '/apilog/getreportbyapi',
    method: 'get',
    params: query
  })
}
export function getlistbyappidList(query = {}) {
  return request({
    url: url + '/appapi/listbyappid',
    method: 'get',
    params: query
  })
}
export function getgetmyallapisList(query = {}) {
  return request({
    url: url + '/appapi/getmyallapis',
    method: 'get',
    params: query
  })
}
export function getlistdevbyadminList(query = {}) {
  return request({
    url: url + '/user/listdevbyadmin',
    method: 'get',
    params: query
  })
}
export function getactivteuserList(query = {}) {
  return request({
    url: url + '/user/activteuser',
    method: 'post',
    data: query
  })
}
export function getinsertbyadminList(query = {}) {
  return request({
    url: url + '/user/insertbyadmin',
    method: 'post',
    data: query
  })
}
export function getuserupdate(query = {}) {
  return request({
    url: url + '/user/update',
    method: 'post',
    data: query
  })
}
export function getselectusertimes(query = {}) {
  return request({
    url: url + '/appapi/selectusertimes',
    method: 'get',
    params: query
  })
}
export function getroleendowAuth(query = {}) {
  return request({
    url: url + '/role/endowAuth',
    method: 'post',
    data: query
  })
}
export function getusercreate(query = {}) {
  return request({
    url: url + '/user/create',
    method: 'post',
    data: query
  })
}
export function getuserinsert(query = {}) {
  return request({
    url: url + '/user/insert',
    method: 'post',
    data: query
  })
}
export function getusergetpwsms(query = {}) {
  return request({
    url: url + '/user/getpwsms',
    method: 'post',
    data: query
  })
}
export function getusercheckvalidcode(query = {}) {
  return request({
    url: url + '/user/checkvalidcode',
    method: 'post',
    data: query
  })
}
export function getuserresetpw(query = {}) {
  return request({
    url: url + '/user/resetpw',
    method: 'post',
    data: query
  })
}
export function getuserapprove(query = {}) {
  return request({
    url: url + '/user/approve',
    method: 'post',
    data: query
  })
}
export function getusergetsms(query = {}) {
  return request({
    url: url + '/user/getsms',
    method: 'post',
    data: query
  })
}
export function getuserchangepw(query = {}) {
  return request({
    url: url + '/user/changepw',
    method: 'post',
    data: query
  })
}
export function getapimngrdelete(query = {}) {
  return request({
    url: url + '/apimngr/delete',
    method: 'post',
    data: query
  })
}
export function getapimngrdisable(query = {}) {
  return request({
    url: url + '/apimngr/disable',
    method: 'post',
    data: query
  })
}
export function demodetect(query = {}) {
  return request({
    url: url + '/demo/detect',
    method: 'post',
    data: query
  })
}
export function demobodyAttr(query = {}) {
  return request({
    url: url + '/demo/bodyAttr',
    method: 'post',
    data: query
  })
}
export function demosenseTimeBankCard(query = {}) {
  return request({
    url: url + '/demo/senseTimeBankCard',
    method: 'post',
    data: query
  })
}
export function demobodyAnalysis(query = {}) {
  return request({
    url: url + '/demo/bodyAnalysis',
    method: 'post',
    data: query
  })
}

export function demobodyNum(query = {}) {
  return request({
    url: url + '/demo/bodyNum',
    method: 'post',
    data: query
  })
}

export function democompare(query = {}) {
  return request({
    url: url + '/demo/compare',
    method: 'post',
    data: query
  })
}

export function demofaceVerify(query = {}) {
  return request({
    url: url + '/demo/faceVerify',
    method: 'post',
    data: query
  })
}

export function demogesture(query = {}) {
  return request({
    url: url + '/demo/gesture',
    method: 'post',
    data: query
  })
}

export function demosenseTimeIdCard(query = {}) {
  return request({
    url: url + '/demo/senseTimeIdCard',
    method: 'post',
    data: query
  })
}
export function demosearch(query = {}) {
  return request({
    url: url + '/demo/search',
    method: 'post',
    data: query
  })
}
export function demoaddface(query = {}) {
  return request({
    url: url + '/demo/addface',
    method: 'post',
    data: query
  })
}

export function codeinfoinsert(query = {}) {
  return request({
    url: url + '/codeinfo/insert',
    method: 'post',
    data: query
  })
}

export function codeinfoupdate(query = {}) {
  return request({
    url: url + '/codeinfo/update',
    method: 'post',
    data: query
  })
}
export function codeinfodelete(query = {}) {
  return request({
    url: url + '/codeinfo/delete',
    method: 'post',
    data: query
  })
}

